Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.wml.dom
Class WMLDOMImplementationImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.CoreDOMImplementationImpl
            |
            +--weblogic.apache.xerces.dom.DOMImplementationImpl
                  |
                  +--weblogic.apache.wml.dom.WMLDOMImplementationImpl

public class WMLDOMImplementationImpl
extends DOMImplementationImpl
implements WMLDOMImplementation

Constructor Summary
`WMLDOMImplementationImpl()`

Method Summary
`org.w3c.dom.Document` | `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, org.w3c.dom.DocumentType doctype)`
`static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` NON-DOM: Obtain and return the single shared object

Methods inherited from class weblogic.apache.xerces.dom.DOMImplementationImpl
`createDocumentType, hasFeature`

Methods inherited from class weblogic.apache.xerces.dom.CoreDOMImplementationImpl
`createDOMBuilder, createDOMInputSource, createDOMWriter, getInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMLDOMImplementationImpl

    public WMLDOMImplementationImpl()

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName,
                                               org.w3c.dom.DocumentType doctype)
                                        throws org.w3c.dom.DOMException

  Overrides:
    createDocument in class DOMImplementationImpl
  See Also:
    `DOMImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD